Subject: slime 20070927-1 --configure error
From: Erick Lopez Carreon <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Wed, 03 Oct 2007 14:04:45 -0500

Package: slime
Version: 1:20070927-1
Severity: important

Hello Peter:

I just try to upgrade my slime to the 20070927-1 version, and i'm
getting this error in the configuration part of installation:

------------------------------------------------------------------------
Wrote /usr/share/emacs21/site-lisp/slime/contrib/slime-typeout-frame.elc
While compiling toplevel forms in
file /usr/share/emacs21/site-lisp/slime/contrib/slime-xref-browser.el:
  !! File error (("Cannot open load file" "tree-widget"))
Done
emacs-package-install: /usr/lib/emacsen-common/packages/install/slime
emacs21 emacs21 emacs22 failed
at /usr/lib/emacsen-common/emacs-package-install line 30, <TSORT> line
2.
dpkg: error processing slime (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 slime

------------------------------------------------------------------------

I get the same error on two different machines.

And dpkg -s slime says:

------------------------------------------------------------------------
Package: slime
Status: install ok half-configured
Priority: optional
Section: devel
Installed-Size: 1840
Maintainer: Peter Van Eynde <[email-masked]>
Architecture: all
Version: 1:20070927-1
Config-Version: 1:20070628-1
------------------------------------------------------------------------

Because of this i can't start slime in emacs22, emacs22 says:

------------------------------------------------------------------------
Debugger entered--Lisp error: (file-error "Cannot open load file"
"slime")
  require(slime)
  eval-buffer(#<buffer  *load*> nil "/home/foo/.emacs" nil t)  ; Reading
at buffer position 512
  load-with-code-conversion("/home/foo/.emacs" "/home/foo/.emacs" t t)
  load("~/.emacs" t t)
  #[nil "" [init-file-user system-type user-init-file-1 user-init-file
otherfile source ms-dos "~" "/_emacs" windows-nt directory-files nil "^\
\.emacs\\(\\.elc?\\)?$" "~/.emacs" "^_emacs\\(\\.elc?\\)?$" "~/_emacs"
vax-vms "sys$login:.emacs" "/.emacs" t load expand-file-name "init"
file-name-as-directory "/.emacs.d" file-name-extension "elc"
file-name-sans-extension ".el" file-exists-p file-newer-than-file-p
message "Warning: %s is newer than %s" sit-for 1 "default" alt
inhibit-default-init inhibit-startup-message] 7]()
command-line()
  normal-top-level()
------------------------------------------------------------------------

In emacs21 slime works well.   :-?

------------------------------------------------------------------------
; SLIME 2007-09-27
CL-USER> 
------------------------------------------------------------------------

Could be something wrong with my ~/.emacs?

I am using 
- Debian GNU/Linux Sid 
- Architecture: i386 (i686)
- Kernel 2.6.18
- slime 1:20070927-1
- sbcl 1:1.0.10.0-1
- emacs21 21.4a+1-5.1
- emacs22 22.1+1-2

Thank you.